Package com.xebialabs.xlrelease.variable

# Class ValueWithInterpolation

java.lang.Object
com.xebialabs.xlrelease.variable.ValueWithInterpolation

All Implemented Interfaces:
  `Serializable`, `scala.Equals`, `scala.Product`

public class ValueWithInterpolation extends Object implements scala.Product, Serializable
A subset of fields from StringVariable class used when freezing a variable. This class isn't modeling any part of the domain, hence it's place outside the domain package.

param: value Resolved string value of the variable param: preventInterpolation if true the placeholders in the value shouldn't be replaced, otherwise they should be.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueWithInterpolation(String value, boolean preventInterpolation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ValueWithInterpolation`
  `apply(String value, boolean preventInterpolation)`
  `boolean`
  `canEqual(Object x$1)`
  `ValueWithInterpolation`
  `copy(String value, boolean preventInterpolation)`
  `String`
  `copy$default$1()`
  `boolean`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `boolean`
  `preventInterpolation()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<String,Object>>`
  `unapply(ValueWithInterpolation x$0)`
  `String`
  `value()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### ValueWithInterpolation

    public ValueWithInterpolation(String value, boolean preventInterpolation)

- ## Method Details

  - ### apply

    public static ValueWithInterpolation apply(String value, boolean preventInterpolation)

  - ### unapply

    public static scala.Option<scala.Tuple2<String,Object>> unapply(ValueWithInterpolation x$0)

  - ### value

    public String value()

  - ### preventInterpolation

    public boolean preventInterpolation()

  - ### copy

    public ValueWithInterpolation copy(String value, boolean preventInterpolation)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public boolean copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`